DZ1.2/FERZid/Models/SadrzajNaSegmentu.cs
using System;
using System.Collections.Generic;

namespace FERZid.Models
{
    public partial class SadrzajNaSegmentu
    {
        public int IdsnaS { get; set; }
        public int Idsegmenta { get; set; }
        public int Idsadrzaja { get; set; }

        public virtual Sadržaj IdsadrzajaNavigation { get; set; }
        public virtual Segment IdsegmentaNavigation { get; set; }
    }
}

DZ1.2/FERZid/Controllers/SadrzajNaSegmentuController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using FERZid.Models;

namespace FERZid.Controllers
{
    public class SadrzajNaSegmentuController : Controller
    {
        private readonly RPPP08Context _context;

        public SadrzajNaSegmentuController(RPPP08Context context)
        {
            _context = context;    
        }

        // GET: SadrzajNaSegmentu
        public async Task<IActionResult> Index()
        {
            var rPPP08Context = _context.SadrzajNaSegmentu.Include(s => s.IdsadrzajaNavigation).Include(s => s.IdsegmentaNavigation).
                Include(s => s.IdsegmentaNavigation.IdzidaNavigation);
            return View(await rPPP08Context.ToListAsync());
        }

        // GET: SadrzajNaSegmentu/Details/5
        public async Task<IActionResult> Details(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sadrzajNaSegmentu = await _context.SadrzajNaSegmentu
                .Include(s => s.IdsadrzajaNavigation)
                .Include(s => s.IdsegmentaNavigation)
                .Include(s => s.IdsegmentaNavigation.IdzidaNavigation)
                .SingleOrDefaultAsync(m => m.IdsnaS == id);
            if (sadrzajNaSegmentu == null)
            {
                return NotFound();
            }

            return View(sadrzajNaSegmentu);
        }

        // GET: SadrzajNaSegmentu/Create
        public IActionResult Create()
        {
            ViewData["Idsadrzaja"] = new SelectList(_context.Sadržaj, "Idsadržaja", "Naziv");
            ViewData["Idsegmenta"] = new SelectList(_context.Segment, "Idsegmenta", "Idsegmenta");
            return View();
        }

        // POST: SadrzajNaSegmentu/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Create([Bind("IdsnaS,Idsegmenta,Idsadrzaja")] SadrzajNaSegmentu sadrzajNaSegmentu)
        {
            if (ModelState.IsValid)
            {
                _context.Add(sadrzajNaSegmentu);
                await _context.SaveChangesAsync();
                return RedirectToAction("Index");
            }
            ViewData["Idsadrzaja"] = new SelectList(_context.Sadržaj, "Idsadržaja", "Naziv", sadrzajNaSegmentu.Idsadrzaja);
            ViewData["Idsegmenta"] = new SelectList(_context.Segment, "Idsegmenta", "Idsegmenta", sadrzajNaSegmentu.Idsegmenta);
            return View(sadrzajNaSegmentu);
        }

        // GET: SadrzajNaSegmentu/Edit/5
        public async Task<IActionResult> Edit(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sadrzajNaSegmentu = await _context.SadrzajNaSegmentu.SingleOrDefaultAsync(m => m.IdsnaS == id);
            if (sadrzajNaSegmentu == null)
            {
                return NotFound();
            }
            ViewData["Idsadrzaja"] = new SelectList(_context.Sadržaj, "Idsadržaja", "Naziv", sadrzajNaSegmentu.Idsadrzaja);
            ViewData["Idsegmenta"] = new SelectList(_context.Segment, "Idsegmenta", "Idsegmenta", sadrzajNaSegmentu.Idsegmenta);
            return View(sadrzajNaSegmentu);
        }

        // POST: SadrzajNaSegmentu/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see http://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> Edit(int id, [Bind("IdsnaS,Idsegmenta,Idsadrzaja")] SadrzajNaSegmentu sadrzajNaSegmentu)
        {
            if (id != sadrzajNaSegmentu.IdsnaS)
            {
                return NotFound();
            }

            if (ModelState.IsValid)
            {
                try
                {
                    _context.Update(sadrzajNaSegmentu);
                    await _context.SaveChangesAsync();
                }
                catch (DbUpdateConcurrencyException)
                {
                    if (!SadrzajNaSegmentuExists(sadrzajNaSegmentu.IdsnaS))
                    {
                        return NotFound();
                    }
                    else
                    {
                        throw;
                    }
                }
                return RedirectToAction("Index");
            }
            ViewData["Idsadrzaja"] = new SelectList(_context.Sadržaj, "Idsadržaja", "Naziv", sadrzajNaSegmentu.Idsadrzaja);
            ViewData["Idsegmenta"] = new SelectList(_context.Segment, "Idsegmenta", "Idsegmenta", sadrzajNaSegmentu.Idsegmenta);
            return View(sadrzajNaSegmentu);
        }

        // GET: SadrzajNaSegmentu/Delete/5
        public async Task<IActionResult> Delete(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            var sadrzajNaSegmentu = await _context.SadrzajNaSegmentu
                .Include(s => s.IdsadrzajaNavigation)
                .Include(s => s.IdsegmentaNavigation)
                .Include(s => s.IdsegmentaNavigation.IdzidaNavigation)
                .SingleOrDefaultAsync(m => m.IdsnaS == id);
            if (sadrzajNaSegmentu == null)
            {
                return NotFound();
            }

            return View(sadrzajNaSegmentu);
        }

        // POST: SadrzajNaSegmentu/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public async Task<IActionResult> DeleteConfirmed(int id)
        {
            var sadrzajNaSegmentu = await _context.SadrzajNaSegmentu.SingleOrDefaultAsync(m => m.IdsnaS == id);
            _context.SadrzajNaSegmentu.Remove(sadrzajNaSegmentu);
            await _context.SaveChangesAsync();
            return RedirectToAction("Index");
        }

        private bool SadrzajNaSegmentuExists(int id)
        {
            return _context.SadrzajNaSegmentu.Any(e => e.IdsnaS == id);
        }
    }
}

DZ1.2/FERZid/Views/SadrzajNaSegmentu/Create.cshtml
@model FERZid.Models.SadrzajNaSegmentu

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Stvori novo pridruzivanje</h2>

<form asp-action="Create">
    <div class="form-horizontal">
        <h4>SadrzajNaSegmentu</h4>
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <label asp-for="Idsegmenta" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <select asp-for="Idsegmenta" class ="form-control" asp-items="ViewBag.Idsegmenta"></select>
            </div>
        </div>
        <div class="form-group">
            <label  class="col-md-2 control-label">Ime sadrzaja</label>
            <div class="col-md-10">
                <select asp-for="Idsadrzaja" class ="form-control" asp-items="ViewBag.Idsadrzaja"></select>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

DZ1.2/FERZid/Views/SadrzajNaSegmentu/Delete.cshtml
@model FERZid.Models.SadrzajNaSegmentu

@{
    ViewData["Title"] = "Delete";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h3>Jeste li sigurni da zelite izbrisati ovaj sadrzaj na segmentu?</h3>
<div>
    <hr />
    <dl class="dl-horizontal">
        <input type="hidden" asp-for="IdsnaS" />
        <dt>
            Ime sadrzaja
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdsadrzajaNavigation.Naziv)
        </dd>
        <dt>
            Lokacija zida
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdsegmentaNavigation.IdzidaNavigation.Lokacija)
        </dd>
        <dt>
            Pozicija segmenta
        </dt>
        <dd>
            <span class="glyphicon glyphicon-arrow-right"></span>@Model.IdsegmentaNavigation.KoordinataX , <span class="glyphicon glyphicon-arrow-down"></span> @Model.IdsegmentaNavigation.KoordinataY
        </dd>
        <dt>
            Dimenzije
        </dt>
        <dd>
            <p>@Model.IdsegmentaNavigation.Sirina X @Model.IdsegmentaNavigation.Visina</p>
        </dd>
        <dt>
            ID Segmenta
        </dt>
        <dd>
            @Model.Idsegmenta
        </dd>
    </dl>
    
    <form asp-action="Delete">
        <div class="form-actions no-color">
            <input type="submit" value="Izbrisi" class="btn btn-danger" /> |
            <a asp-action="Index">Natrag na popis</a>
        </div>
    </form>
</div>

DZ1.2/FERZid/Views/SadrzajNaSegmentu/Details.cshtml
@model FERZid.Models.SadrzajNaSegmentu

@{
    ViewData["Title"] = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Pjedinosti sadrzaja na segmentu</h2>

<div>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            Ime sadrzaja
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdsadrzajaNavigation.Naziv)
        </dd>
        <dt>
            Lokacija zida
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdsegmentaNavigation.IdzidaNavigation.Lokacija)
        </dd>
        <dt>
            Pozicija segmenta
        </dt>
        <dd>
            <span class="glyphicon glyphicon-arrow-right"></span>@Model.IdsegmentaNavigation.KoordinataX , <span class="glyphicon glyphicon-arrow-down"></span> @Model.IdsegmentaNavigation.KoordinataY
        </dd>
        <dt>
            Dimenzije
        </dt>
        <dd>
            <p>@Model.IdsegmentaNavigation.Sirina X @Model.IdsegmentaNavigation.Visina</p>
        </dd>
        <dt>
            ID Segmenta
        </dt>
        <dd>
            @Model.Idsegmenta
        </dd>

    </dl>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.IdsnaS">Uredi</a> |
    <a asp-action="Index">Natrag na popis</a>
</div>

DZ1.2/FERZid/Views/SadrzajNaSegmentu/Edit.cshtml
@model FERZid.Models.SadrzajNaSegmentu

@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Uredjivanje sadrzaja na segmentu</h2>

<form asp-action="Edit">
    <div class="form-horizontal">
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
    <input type="hidden" asp-for="IdsnaS" />
        <div class="form-group">
            <label  class="control-label col-md-2">Segment</label>
            <div class="col-md-10">
                

                <select asp-for="Idsegmenta" class="form-control" asp-items="ViewBag.Idsegmenta"></select>
                <span asp-validation-for="Idsegmenta" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label class="control-label col-md-2">Sadrzaj</label>
            <div class="col-md-10">
                <select asp-for="Idsadrzaja" class="form-control" asp-items="ViewBag.Idsadrzaja"></select>
                <span asp-validation-for="Idsadrzaja" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Spremi" class="btn btn-primary" />
            </div>
        </div>
    </div>
</form>

<div class="row">
    <p>
        <span style="color:deepskyblue; font-size:20px;" class="glyphicon glyphicon-exclamation-sign"></span> Na popisu segmenata doznajte svoj ID segmenta
    </p>
</div>
<div>
    <a asp-action="Index">Natrag na popis</a>
</div>


@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}

DZ1.2/FERZid/Views/SadrzajNaSegmentu/Index.cshtml
@model IEnumerable<FERZid.Models.SadrzajNaSegmentu>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Sadrzaji na segmentima</h2>

<div class="row" style="padding-top:20px;">
    <button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "SadrzajNaSegmentu")'">
        <span class="glyphicon glyphicon-plus"></span> Pridruzi sadrzaj segmentu
    </button>
    <table class="table" id="snas">
        <thead>
            <tr>
                <th>
                    Sadrzaj
                </th>

                <th>
                    @Html.DisplayNameFor(model => model.IdsegmentaNavigation.IdzidaNavigation.Lokacija)
                </th>
                <th>
                    Pozicija segmenta
                </th>
                <th>
                    Dimenzije
                </th>
                <th>
                    ID Segmenta
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdsadrzajaNavigation.Naziv)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdsegmentaNavigation.IdzidaNavigation.Lokacija)
                    </td>
                    <td>
                        <span class="glyphicon glyphicon-arrow-right"></span>@item.IdsegmentaNavigation.KoordinataX , <span class="glyphicon glyphicon-arrow-down"></span> @item.IdsegmentaNavigation.KoordinataY
                    </td>
                    <td>
                        <p>@item.IdsegmentaNavigation.Sirina X @item.IdsegmentaNavigation.Visina</p>
                    </td>
                    <td>
                        @item.Idsegmenta
                    </td>
                    <td>
                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.IdsnaS">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.IdsnaS">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.IdsnaS">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
    <div class="row">
        <p>
            <span style="color:deepskyblue; font-size:20px;" class="glyphicon glyphicon-exclamation-sign"></span> Pozicija segmenta se gleda od gornjeg lijevog ugla video-zida. Uredjaj na toj poziciji ima kooridinate:
            <span class="glyphicon glyphicon-arrow-right"></span>1 , <span class="glyphicon glyphicon-arrow-down"></span> 1
        </p>
    </div>
</div>
@section scripts {
    <script>
        $(document).ready(function () {
            $('#snas').DataTable();
        });
    </script>
}